| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | List of all members
cv::viz::WTrajectorySpheres Class Reference
3D Visualizer » Widget

This 3D Widget represents a trajectory using spheres and lines. More...

`#include <opencv2/viz/widgets.hpp>`

Inheritance diagram for cv::viz::WTrajectorySpheres:

## Public Member Functions
| WTrajectorySpheres (InputArray path, double line_length=0.05, double radius=0.007, const Color &from=Color::red(), const Color &to=Color::white())
| Constructs a WTrajectorySpheres. More...
Public Member Functions inherited from cv::viz::Widget3D
| Widget3D ()
void | applyTransform (const Affine3d &transform)
| Transforms internal widget data (i.e. points, normals) using the given transform. More...
Affine3d | getPose () const
| Returns the current pose of the widget. More...
void | setColor (const Color &color)
| Sets the color of the widget. More...
void | setPose (const Affine3d &pose)
| Sets pose of the widget. More...
void | updatePose (const Affine3d &pose)
| Updates pose of the widget by pre-multiplying its current pose. More...
Public Member Functions inherited from cv::viz::Widget
| Widget ()
| Widget (const Widget &other)
| ~Widget ()
template<typename _W >
_W | cast ()
| Casts a widget to another. More...
template<>
Widget2D | cast ()
| Utility exports. More...
template<>
Widget3D | cast ()
template<>
WLine | cast ()
template<>
WPlane | cast ()
template<>
WSphere | cast ()
template<>
WCylinder | cast ()
template<>
WArrow | cast ()
template<>
WCircle | cast ()
template<>
WCone | cast ()
template<>
WCube | cast ()
template<>
WCoordinateSystem | cast ()
template<>
WPolyLine | cast ()
template<>
WGrid | cast ()
template<>
WText3D | cast ()
template<>
WText | cast ()
template<>
WImageOverlay | cast ()
template<>
WImage3D | cast ()
template<>
WCameraPosition | cast ()
template<>
WTrajectory | cast ()
template<>
WTrajectoryFrustums | cast ()
template<>
WTrajectorySpheres | cast ()
template<>
WCloud | cast ()
template<>
WPaintedCloud | cast ()
template<>
WCloudCollection | cast ()
template<>
WCloudNormals | cast ()
template<>
WMesh | cast ()
template<>
WWidgetMerger | cast ()
double | getRenderingProperty (int property) const
| Returns rendering property of the widget. More...
Widget & | operator= (const Widget &other)
void | setRenderingProperty (int property, double value)
| Sets rendering property of the widget. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::viz::Widget
static Widget | fromPlyFile (const String &file_name)
| Creates a widget from ply file. More...

## Detailed Description

This 3D Widget represents a trajectory using spheres and lines.

where spheres represent the positions of the camera, and lines represent the direction from previous position to the current. :

## Constructor & Destructor Documentation

## § WTrajectorySpheres()

cv::viz::WTrajectorySpheres::WTrajectorySpheres | ( | InputArray | path,
|  | double | line_length = `0.05`,
|  | double | radius = `0.007`,
|  | const Color & | from = `Color::red()`,
|  | const Color & | to = `Color::white()`
| ) |  |

Constructs a WTrajectorySpheres.

Parameters

  path | List of poses on a trajectory. Takes std::vector<Affine<T>> with T == [float | double]
  line_length | Max length of the lines which point to previous position
  radius | Radius of the spheres.
  from | Color for first sphere.
  to | Color for last sphere. Intermediate spheres will have interpolated color.

The documentation for this class was generated from the following file:

- opencv2/viz/widgets.hpp